<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: FreetypeGlyphMgr Class Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>FreetypeGlyphMgr Class Reference</h1><!-- doxytag: class="FreetypeGlyphMgr" -->Manage FT_Glyph by insuring that FT_Glyph is handled correctly.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="glyphMgr_8h-source.html">glyphMgr.h</a>&gt;</code>
<p>

<p>
<a href="classFreetypeGlyphMgr-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFreetypeGlyphMgr.html#22bfba2ff3a9140c69c683afb4dba98e">FreetypeGlyphMgr</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Manage FT_Glyph by insuring that resources are freed when done.  <a href="#22bfba2ff3a9140c69c683afb4dba98e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFreetypeGlyphMgr.html#0fe25feff36e5cee1999d93cd067b8f9">FreetypeGlyphMgr</a> (FT_Glyph glyph)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFreetypeGlyphMgr.html#f4ba7421cc694669c9d3d14097b66cfe">FreetypeGlyphMgr</a> (const <a class="el" href="classFreetypeGlyphMgr.html">FreetypeGlyphMgr</a> &amp;ftgm)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classFreetypeGlyphMgr.html">FreetypeGlyphMgr</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFreetypeGlyphMgr.html#85e092ca1e7b390f438833e02482c790">operator=</a> (const <a class="el" href="classFreetypeGlyphMgr.html">FreetypeGlyphMgr</a> &amp;ftgm)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFreetypeGlyphMgr.html#f5290bc2d4ffb7a48107667a84d01824">~FreetypeGlyphMgr</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFreetypeGlyphMgr.html#0df50c48c1c9697719b8015736fd465f">operator FT_Glyph</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFreetypeGlyphMgr.html#9780a6d7796ac5e6bda3dfb550f59ef2">assign</a> (const FT_Glyph glyph)</td></tr>

<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">FT_Glyph&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classFreetypeGlyphMgr.html#9a1a2ffad131a7c45ac474f4e6103187">_glyph</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Manage FT_Glyph by insuring that FT_Glyph is handled correctly. <hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="22bfba2ff3a9140c69c683afb4dba98e"></a><!-- doxytag: member="FreetypeGlyphMgr::FreetypeGlyphMgr" ref="22bfba2ff3a9140c69c683afb4dba98e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FreetypeGlyphMgr::FreetypeGlyphMgr           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Manage FT_Glyph by insuring that resources are freed when done. 
<p>

</div>
</div><p>
<a class="anchor" name="0fe25feff36e5cee1999d93cd067b8f9"></a><!-- doxytag: member="FreetypeGlyphMgr::FreetypeGlyphMgr" ref="0fe25feff36e5cee1999d93cd067b8f9" args="(FT_Glyph glyph)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FreetypeGlyphMgr::FreetypeGlyphMgr           </td>
          <td>(</td>
          <td class="paramtype">FT_Glyph&nbsp;</td>
          <td class="paramname"> <em>glyph</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="f4ba7421cc694669c9d3d14097b66cfe"></a><!-- doxytag: member="FreetypeGlyphMgr::FreetypeGlyphMgr" ref="f4ba7421cc694669c9d3d14097b66cfe" args="(const FreetypeGlyphMgr &amp;ftgm)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FreetypeGlyphMgr::FreetypeGlyphMgr           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classFreetypeGlyphMgr.html">FreetypeGlyphMgr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>ftgm</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="f5290bc2d4ffb7a48107667a84d01824"></a><!-- doxytag: member="FreetypeGlyphMgr::~FreetypeGlyphMgr" ref="f5290bc2d4ffb7a48107667a84d01824" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FreetypeGlyphMgr::~FreetypeGlyphMgr           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="85e092ca1e7b390f438833e02482c790"></a><!-- doxytag: member="FreetypeGlyphMgr::operator=" ref="85e092ca1e7b390f438833e02482c790" args="(const FreetypeGlyphMgr &amp;ftgm)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classFreetypeGlyphMgr.html">FreetypeGlyphMgr</a> &amp; FreetypeGlyphMgr::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classFreetypeGlyphMgr.html">FreetypeGlyphMgr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>ftgm</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="0df50c48c1c9697719b8015736fd465f"></a><!-- doxytag: member="FreetypeGlyphMgr::operator FT_Glyph" ref="0df50c48c1c9697719b8015736fd465f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FreetypeGlyphMgr::operator FT_Glyph           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="9780a6d7796ac5e6bda3dfb550f59ef2"></a><!-- doxytag: member="FreetypeGlyphMgr::assign" ref="9780a6d7796ac5e6bda3dfb550f59ef2" args="(const FT_Glyph glyph)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void FreetypeGlyphMgr::assign           </td>
          <td>(</td>
          <td class="paramtype">const FT_Glyph&nbsp;</td>
          <td class="paramname"> <em>glyph</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="9a1a2ffad131a7c45ac474f4e6103187"></a><!-- doxytag: member="FreetypeGlyphMgr::_glyph" ref="9a1a2ffad131a7c45ac474f4e6103187" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FT_Glyph <a class="el" href="classFreetypeGlyphMgr.html#9a1a2ffad131a7c45ac474f4e6103187">FreetypeGlyphMgr::_glyph</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="glyphMgr_8h-source.html">glyphMgr.h</a><li><a class="el" href="glyphMgr_8cpp.html">glyphMgr.cpp</a></ul>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
